class PrototypeMain {
 
    public static void main(String[] args) {
        System.out.println("Wzorzec Prototyp: prototyp pojazdów");
        Vehicle fastCar1 = VehicleCache.getVehicle("szybkie-auto");
        Vehicle fastCar2 = VehicleCache.getVehicle("szybkie-auto");
        fastCar1.move();
        fastCar2.move();

        System.out.println("equals : " + (fastCar1.equals(fastCar2)));
        System.out.println("fastCar1:" + fastCar1);
        System.out.println("fastCar2:" + fastCar2);
    }
}
